BUF_UNLOCK(9)

NAME
BUF_UNLOCK - unlocks a locked buffer

SYNOPSIS
#include <sys/param.h>
#include <sys/systm.h>
#include <sys/uio.h>
#include <sys/bio.h>
#include <sys/buf.h>
void
BUF_UNLOCK(struct buf *bp);

DESCRIPTION
The BUF_UNLOCK() function unlocks a buffer that was previously locked with BUF_LOCK() or BUF_TIMELOCK().

Its argument is:

bp  The buffer to unlock. The buffer must already be locked.

SEE ALSO
buf(9), BUF_LOCK(9), BUF_TIMELOCK(9), lockmgr(9)

AUTHORS
This manual page was written by Chad David <davidc@acns.ab.ca>.